Subject: [bug#39777] [PATCH V3 04/11] gnu: python-jsonschema: Update to 3.2.0.

From: Tanguy Le Carrour <[email-masked]>
Date: Thu, 19 Mar 2020 08:42:16 +0100

Hi Leo,

Le 03/14, Tanguy Le Carrour a écrit :
> Le 03/14, Leo Famulari a écrit :
> > On Fri, Mar 13, 2020 at 09:45:41AM +0100, Tanguy Le Carrour wrote:
> > > Re-built the package and… got the exit status 1 with a different error message
> > > in the log:
> > > 
> > > ```
> > > jsonschema.tests.test_cli
> > >   TestCLI
> > >     test_draft3_schema_draft4_validator ...                                [OK]
> > >     test_successful_validation ...                                         [OK]
> > >     test_unsuccessful_validation ...                                       [OK]
> > >     test_unsuccessful_validation_multiple_instances ...                    [OK]
> > >     test_version ... /gnu/store/l8nphg0idd8pfddyad8f92lx8d1hc053-python-wrapper-3.7.4/bin/python: No module named jsonschema
> > >                                                    [ERROR]
> > > ===============================================================================
> > 
> > My understanding is that the test suite of jsonschema can't find
> > jsonschema. Is that correct? If so, you should look into the
> > add-installed-pythonpath procedure and some examples of how it's used.
> 
> I'll do that! Thanks!

It solved the problem! Thanks! I'm moving to fixing the cachy/redis problem
now, and I'll submit a v4 patch set once it's done!

Regards

-- 
Tanguy